Bug 1525130 (CVE-2017-1002101) - CVE-2017-1002101 kubernetes: Volume security can be sidestepped with innocent emptyDir and subpath
Summary: CVE-2017-1002101 kubernetes: Volume security can be sidestepped with innocent...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-1002101
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1519365 1520626 1520627 1520631 1554165 1554166 1554420 1554569
Blocks: 1525132
TreeView+ depends on / blocked
 
Reported: 2017-12-12 16:34 UTC by Andrej Nemec
Modified: 2019-09-29 14:28 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that volume security can be sidestepped with innocent emptyDir and subpath. This could give an attacker with access to a pod full control over the node host by gaining access to docker socket.
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0475 normal SHIPPED_LIVE Important: Red Hat OpenShift Container Platform security update 2018-03-12 23:40:44 UTC

Description Andrej Nemec 2017-12-12 16:34:42 UTC
It was found that volume security can be sidestepped with innocent emptyDir and subpath. A pod could give full control over node host by gaining access to docker socket.

Comment 2 Kurt Seifried 2018-03-12 16:06:36 UTC
Created kubernetes tracking bugs for this issue:

Affects: fedora-all [bug 1554420]

Comment 3 errata-xmlrpc 2018-03-12 19:38:27 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.3
  Red Hat OpenShift Container Platform 3.4
  Red Hat OpenShift Container Platform 3.5
  Red Hat OpenShift Container Platform 3.6
  Red Hat OpenShift Container Platform 3.7

Via RHSA-2018:0475 https://access.redhat.com/errata/RHSA-2018:0475

Comment 4 Jason Shepherd 2018-03-12 22:17:39 UTC
This flaw allows a pod to mount any part of the host filesystem. The pod will run with the security contraints placed on the user but could read anything with o=rx mode and appropriate SELinux label.

Comment 5 Jason Shepherd 2018-03-12 22:29:39 UTC
External References:

https://github.com/kubernetes/kubernetes/issues/60813

Comment 7 Jason Shepherd 2018-03-13 00:17:56 UTC
Created origin tracking bugs for this issue:

Affects: fedora-all [bug 1554569]

Comment 10 Jason Shepherd 2018-03-14 01:11:10 UTC
Statement:

This flaw allows a pod to mount any part of the host filesystem. The pod will run with the security contraints placed on the user but could read anything with o=rx mode and appropriate SELinux label.

Comment 11 Cedric Buissart 🐶 2018-04-10 09:56:34 UTC
Kubernetes has been deprecated from Red Hat Enterprise Linux Extras channel. See https://access.redhat.com/errata/RHSA-2018:1072 for details.

Comment 12 Product Security DevOps Team 2019-07-12 13:04:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-1002101


Note You need to log in before you can comment on or make changes to this bug.